package com.lightinit.hsdatashow.service.ms;

import com.lightinit.hsdatashow.entity.BaseExample;
import com.lightinit.hsdatashow.entity.HealthCarePlan;
import com.lightinit.hsdatashow.model.ResultState;

import java.util.List;

public interface IMSHealthCarePlanService {
    List<HealthCarePlan> queryList(BaseExample.Page pager);

    long queryCount(BaseExample.Page pager);

    ResultState<Long> delete(long id);

    ResultState add(HealthCarePlan inputModel);

    HealthCarePlan edit(long id);

    ResultState doEdit(HealthCarePlan inputModel);
}
